             org 100h

             mov al, 170           ; ezt a szamot irjuk majd ki kettes szamrendszerben
             call bin_byte_kiir    ; ebben a szubrutinban tortenik majd a kiiras
             mov ax,4c00h          ; Az int 21h-nak az AH=4ch fggvnye fejezi be a programot. A hibakod: AL=0
             int 21h
;------------------------------------------
bin_byte_kiir: push ax             ; AX, BX es CX regisztert megorizzuk (mast nem is hasznalunk), hogy a meghivo helynek ne kelljen figyelni semmire.
               push bx
               push cx
               mov cl, 8           ; 8 bites a kiirando szam
       vissza: cmp al, 80h         ; a bal oldali bit 1-es?
               push ax             ; a mostani AL erteket megorizzuk, hogy a kiiras utan ezzel szamolhassunk tovabb.
               jae kiir_egyest     ; Ha a bal oldali bit 1-es volt, akkor ugrunk
               mov al,'0'          ; a '0' karakter ASCII-kodjat (30h=48d-t) toltjuk be...
               jmp tovabb          ; ... eskiirjuk
  kiir_egyest: mov al,'1'          ; az '1' karakter ASCII-kodjat (31h=49d-t) toltjuk be...
       tovabb: xor bh,bh           ; bh=0, mert a nullas (eppen latszodo) kepernyolapra akarunk irni
               mov ah,0eh          ; az int 10h-nak a 0eh-s fuggvenye tud egy karaktert kiirni
               int 10h             ; kiirjuk a 0-tvagy 1-et.
               pop ax              ; a fenti push ax altal megorzott erteket rekonstrualjuk a verembol
               shl al,1            ; balra leptetjuk a biteket. Amit kiirtunk, az kipottyan, es a kovetkezo kerul a bal oldali helyre
               dec cl              ; csokkentjuk a ciklusszamlalot
               cmp cl,0            ; ha meg nincs vege a ciklusnak,...
               ja vissza           ; akkor folytatjuk a kovetkezo bittel
               pop cx              ; visszaallitjuk a szubrutinm elejen verembe mentett ertekeket
               pop bx
               pop ax
               ret                 ; visszaterunk a szubrutinbol
